<?php

/**
 * Copyright 2017 MICRORISC s.r.o.
 * Copyright 2017-2019 IQRF Tech s.r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
declare(strict_types = 1);

namespace App\ApiModule\Version0\Controllers;

use Apitte\Core\Annotation\Controller\Path;
use App\ApiModule\Version0\Models\RestApiSchemaValidator;

/**
 * Base config controller
 * @Path("/config")
 */
abstract class BaseConfigController extends BaseController {

	/**
	 * @var RestApiSchemaValidator REST API JSON schema validator
	 */
	protected $validator;

	/**
	 * Constructor
	 * @param RestApiSchemaValidator $validator REST API JSON schema validator
	 */
	public function __construct(RestApiSchemaValidator $validator) {
		parent::__construct($this->validator = $validator);
	}

}
